%if 0%{?fedora} > 12
%global with_python3 1
%else
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

Name:		python-jsonpath-rw
Version:	1.2.1
Release:	1%{?dist}
Summary:	A robust and significantly extended implementation of JSONPath for Python, with a clear AST for metaprogramming.

License:	ASL
URL:		https://github.com/kennknowles/python-jsonpath-rw 
Source0:	https://github.com/kennknowles/python-jsonpath-rw/archive/%version.tar.gz 

BuildArch:      noarch
BuildRequires:	python-devel, python-setuptools
BuildRequires:  git
Requires:       git
Requires:       python-ply
Requires:       python-decorator
Requires:       python-six
Provides:       python-jsonpath-rw = %{version}-%{release}

%if 0%{?with_python3}
BuildRequires: python3-devel
BuildRequires: python3-setuptools
Requires:       python3-ply
Requires:       python3-decorator
Requires:       python3-six
%endif

%description

This library provides a robust and significantly extended implementation of 
JSONPath for Python. It is tested with Python 2.6, 2.7, 3.2, 3.3, and PyPy.

This library differs from other JSONPath implementations in that it is a full 
language implementation, meaning the JSONPath expressions are first class 
objects, easy to analyze, transform, parse, print, and extend.

%if 0%{?with_python3}
%package -n python3-jsonpath-rw
Summary: A robust and significantly extended implementation of JSONPath for Python, with a clear AST for metaprogramming.
Group: Development/Libraries

%description -n python3-jsonpath-rw

This library provides a robust and significantly extended implementation of 
JSONPath for Python. It is tested with Python 2.6, 2.7, 3.2, 3.3, and PyPy.

This library differs from other JSONPath implementations in that it is a full 
language implementation, meaning the JSONPath expressions are first class 
objects, easy to analyze, transform, parse, print, and extend.

%endif

%prep
%setup -q

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif


%build

%if 0%{?rhel}
 %{__python} setup.py build
%else
 %{__python2} setup.py build
%endif

%if 0%{?with_python3}
 pushd %{py3dir}
 %{__python3} setup.py build
 popd
%endif


%install
rm -rf $RPM_BUILD_ROOT

%if 0%{?rhel}
 %{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
%else
 %{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
%endif


%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
popd
%endif


 
%files
%doc
%{python_sitelib}/*

%if 0%{?with_python3}
%{python3_sitelib}
%endif

%changelog

* Thu Dec 19 2013 Steve Linabery <slinaber@redhat.com> - 1.2.1-1
- Initial packaging for Fedora
